//$Id: PhysicsHadTable.java,v 1.2 2004/09/24 08:50:52 suzuki Exp $
//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//
package GPE;



import javax.swing.*;

import javax.swing.table.*;

import java.util.*;

import java.awt.*;

import java.awt.event.*;





public class PhysicsHadTable extends PhysicsAbstTable {



    PhysicsHadTable(GPETableModel model, PhysicsFrame parent){



        super(model, parent);



        tableTitle = "Open Tables => ";



        JComboBox modelCombo = new JComboBox();

            modelCombo.addItem("Gheisha LE");

            modelCombo.addItem("Gheisha LE+HE");

            modelCombo.addItem("Theory+GheishaLE");

        

        JComboBox generatorCombo = new JComboBox();

            generatorCombo.addItem("Lund String");

            generatorCombo.addItem("q-g String");



        JComboBox transportCombo = new JComboBox();

            transportCombo.addItem("Precompound");

            transportCombo.addItem("Kinetic");





        TableColumn column = new TableColumn();

        column = getColumn("Model");

        column.setCellEditor(new DefaultCellEditor(modelCombo));

            column.sizeWidthToFit();

            column.setResizable(true);



        column = getColumn("Generator");

        column.setCellEditor(new DefaultCellEditor(generatorCombo));

            column.sizeWidthToFit();

            column.setResizable(true);



        column = getColumn("Transport");

        column.setCellEditor(new DefaultCellEditor(transportCombo));

            column.sizeWidthToFit();

            column.setResizable(true);

    }



    public JPanel makeHadPanel(){



        JScrollPane scrollpane = new JScrollPane(this);

            scrollpane.setPreferredSize(new Dimension(720, 240));

            scrollpane.setMinimumSize(new Dimension(150, 50));



        JPanel tab = new JPanel();

            tab.setLayout(new BorderLayout(5,3));



        JLabel mtitle = new JLabel(tableTitle, JLabel.CENTER);

                    mtitle.setFont(new Font("Serif", Font.BOLD, 12));

                    Dimension tsize = mtitle.getPreferredSize();

                    mtitle.setSize(tsize);



                    //this method seems not working as intentioned  8.13



        JPanel buttonPanel = new JPanel();

 

        buttonPanel.setLayout(new GridLayout(1,4));

               buttonPanel.add(mtitle);



               createButton = new JButton("Particles");

                  createButton.setBackground(Color.green);



               deleteButton = new JButton("Delete a Row");

                  deleteButton.setBackground(Color.yellow);



               openHProcButton = new JButton("Hadronic Processes");

                  openHProcButton.setBackground(Color.green);



                  buttonPanel.add(createButton);

                  buttonPanel.add(openHProcButton);

                  buttonPanel.add(deleteButton);



               tab.add(buttonPanel,"North");

               tab.add(scrollpane, "Center");



               createButton.addActionListener(this);

               deleteButton.addActionListener(this);

               openHProcButton.addActionListener(this);



        return tab;

    }



    public void actionPerformed(ActionEvent ae){



        Object o = ae.getSource();



        if (o == createButton) {

	   parent.hadParTable.setVisible(true);

           createButton.setForeground(Color.red);

           return;



        }if (o == openHProcButton) {

           parent.openHProc();

           openHProcButton.setForeground(Color.red);

           return;



        }if (o == deleteButton) {

           parent.deleteRow();

           return;

        }

    }



    public void openHProcButtonCloseAct(){

        openHProcButton.setForeground(Color.black);

        createButton.repaint();

    }



    protected void selected(){

        parent.phyHadTableSelected();

    }



}









